.toaster {
	position: fixed;
	left: 0;
	height: 100%;
	top: 0;
	pointer-events: none;
	width: 300px;
	padding-top: 1rem;
	padding-bottom: 1rem;
	display: flex;
	box-sizing: border-box;
	justify-content: flex-end;
	flex-direction: column;
	align-items: stretch;
	gap: 1rem;
}

.toast:nth-child(n + 6) {
	display: none;
	pointer-events: none;
}

@media only screen and (max-width: 600px) {
	.toaster {
		justify-content: flex;
		flex-direction: column-reverse;
	}
	.toast {
		opacity: 1 !important;
	}
	.toast:nth-child(n + 5) {
		display: none;
		pointer-events: none;
	}
}

.toast:hover {
	opacity: 1;
	box-shadow: 0px 0px 5px 1px var(--border-color);
}

.toast {
	opacity: 0.8;
	pointer-events: all;
	border-radius: 3px;
	margin-left: 1rem;
	/* margin-bottom: 1rem; */
	font-family: Arial, Helvetica, sans-serif;
	cursor: pointer;
	box-shadow: 0px 0px 3px 1px var(--border-color);
}

.toast[warning] {
	color: black;
	background-color: var(--warning);
}

.toast[danger] {
	color: white;
	background-color: var(--danger);
}

.toast[success] {
	color: white;
	background-color: var(--success);
}

.toast[info] {
	color: white;
	background-color: var(--info);
}

.toast[secondary] {
	color: white;
	background-color: var(--secondary);
}

.toast *:nth-child(2) {
	max-height: 100px;
	overflow-y: auto;
	padding-top: 0.2rem;
	padding-bottom: 1rem;
	padding-left: 1rem;
	padding-right: 1rem;
}

.toast *:nth-child(1) {
	font-weight: bold;
	padding-top: 0.8rem;
	padding-bottom: 0.8rem;
	padding-left: 1rem;
	padding-right: 1rem;
}
